commit:     c6fefea9f3ee5ef4a1bc32e97e6f4d0ae0f1ca91
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sun May  9 00:35:02 2021 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Sun May  9 00:35:02 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=c6fefea9

dev-python/anyio: new version

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-python/anyio/Manifest           |  1 +
 dev-python/anyio/anyio-3.0.1.ebuild | 61 +++++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-python/anyio/Manifest b/dev-python/anyio/Manifest
index 0f682ca7d..5472257b5 100644
--- a/dev-python/anyio/Manifest
+++ b/dev-python/anyio/Manifest
@@ -1,3 +1,4 @@
 DIST anyio-2.1.0.tar.gz 95186 BLAKE2B 
5dcb110e0e3d543525bb5081c948124e0e0f6bb0a80038104a8ab793ecf961a56d56576ad96a78b0fb69f3c7731dea3d9573b757f859ee8e61e65490432b9b69
 SHA512 
923467cdfbf6d0f427345704e99aec44cafc21f78a8b3b88d1ca9be93fb52a77d472229a242664977a873faf05c7c47a44a55aa4d0158959f60bf4ac8a46cdeb
 DIST anyio-2.2.0.tar.gz 97217 BLAKE2B 
7b50d997fd83950d16c0e562519b60dbef32bfd6d21e61583a83dd94edc26e27fcd26c7c630f22daaddebea5e148487db1a8c81e0bd82cf4641812dfac8807de
 SHA512 
bca1265eec30830bea5f6fe15f3059793599e9c47d292b3008fcd86c802d76bd692f1a340fd6e3b0aa2401c38576459e516b3defa1ddf8353f18d51280fd73ab
 DIST anyio-3.0.0.tar.gz 116952 BLAKE2B 
d797afbd372d7e0ba3b9b5cd0c7df6d8c8a91e8616aa9af9abf6c7e20cb940592a50d6534eed63619c7a4ead5e431ba12238a0e8b78cc00949b0944012d687e8
 SHA512 
e677506cb5edfa86381a6e309fd6c1393d4280d3b31e2382b4adef1aef08b678a2418cbf669e9c5607f855066e72fdb9b3dbd196db10aa42a7ef6445ea737fbd
+DIST anyio-3.0.1.tar.gz 117725 BLAKE2B 
9e9eb02e2891c59a82015db9a6be6e8d4e17dbca10dd72d4510572e11d88687fcbc0f3de571d7c58643cf9191591e655693c58ce73ce45fb1ea1b06e8a0dc5ec
 SHA512 
e063727824c3cd53f4de4bf128a8b6b355b582ed7df533fb73a3306b1e561c096ecea24c6abb367a557516b1470e4f5122458a64f6c03257e4e54452cc5c84e1

diff --git a/dev-python/anyio/anyio-3.0.1.ebuild 
b/dev-python/anyio/anyio-3.0.1.ebuild
new file mode 100644
index 000000000..f74abd408
--- /dev/null
+++ b/dev-python/anyio/anyio-3.0.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8} )
+
+# Build with USE="-doc" first because of circular dependency
+# otherwise one gets the error that sphinx-autodoc-typehints
+
+DOCS_BUILDER="sphinx"
+DOCS_DIR="docs"
+DOCS_AUTODOC=1
+
+inherit distutils-r1 docs
+
+DESCRIPTION="Compatibility layer for multiple asynchronous event loop 
implementations"
+HOMEPAGE="
+       https://github.com/agronholm/anyio
+       https://pypi.org/project/anyio
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       >=dev-python/curio-1.4[${PYTHON_USEDEP}]
+       >=dev-python/idna-2.8[${PYTHON_USEDEP}]
+       >=dev-python/sniffio-1.1[${PYTHON_USEDEP}]
+       >=dev-python/trio-0.16[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep 'dev-python/typing-extensions[${PYTHON_USEDEP}]' 
python3_7)
+"
+
+BDEPEND="
+       ${RDEPEND}
+       doc? (
+               dev-python/anyio[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-autodoc-typehints-1.2.0[${PYTHON_USEDEP}]
+               dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+       )
+       test? (
+               >=dev-python/hypothesis-4.0[${PYTHON_USEDEP}]
+               >=dev-python/pytest-6.0[${PYTHON_USEDEP}]
+               dev-python/trustme[${PYTHON_USEDEP}]
+               >=dev-python/uvloop-0.15[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       distutils_install_for_testing
+       pytest -vv \
+                       --deselect 
tests/test_sockets.py::test_getaddrinfo[asyncio] \
+                       --deselect 
tests/test_sockets.py::test_getaddrinfo[asyncio+uvloop] \
+                       --deselect 
tests/test_sockets.py::test_getaddrinfo[curio] \
+                       --deselect 
tests/test_sockets.py::test_getaddrinfo[trio] \
+       || die
+}

Reply via email to